GeoHot: No Blackra1n For Mac And Issues With iPod Touch

there’s no mac version of blackra1n and maybe never will. also why you can’t use blackra1n on your iTouch…

Yesterday GeoHot released Blackra1n, a universal 30 seconds jailbreaking tool for all iDevices. Everybody was going crazy over the tool and it already had 250.000+ downloads. The thing is that its not quite perfect. Yes it is a jailbreaking tool for all iDevices, and it will also jailbreak the lastest 3.1.2 firmware but it is quite buggy and also, its not quite a jailbreak.

Besides the fact that you cant access the root via SSH, after performing the jailbreak with Blackra1n, not even with DiskAid there is a lot of complaints from iTouch users and also some 3G users – including me – that were/are unable to work this tool.

George explained today,the reason why some users can’t run blackra1n on their iTouch , and its regarded to the model of the device. If the iTouch model starts with an MB than the tool perform the jailbreak with no problems. If the model starts with an MC, that the tool wont work and it’s necessary to restore.

geohot_blackra1n_2

This is non the less an amazing tool , and its the faster jailbreak up to this point. The tool cannot even compare to any other tools that the iPhone DevTeam released in terms of speed and functionality. But that’s a key word “functionality” – there’s the difference. The iPhone DevTeam takes their time, and release their tools only when they know for sure that they are at least 98% ready. George on the other hand , is taking the path of “release early, release buggy”.

And why shouldn’t he do that. The kid is brilliant and he has all the time in the world for updates. But unfortunately that is not the case. George just said that is time to go back to his real life and he may or may not even release a mac version of blackra1n.

geohot_blackra1n_1

Well we still have to thank him for his time and efforts on creating this tool. If you are one of the thousands of people that can’t use blackra1n, don’t worry about it. The iPhone DevTeam is working on a new version of PwnageTool and (maybe) also on a new version of ultrasn0w.

In the mean time, if you are a Mac user and have an iPhone 2G/3G ( 3Gs support coming soon ) that you want to update to 3.1.2 firmware and jailbreak, you can do it with the current version of PwnageTool. Not so fast there pal… not with PwnageTool “out of the box” , some tweaking needs to be done. Read about it here

SUPPORT

FSM has no ads or affiliate links. Your support would simply pay for our servers, domain and maintanance. If there's any leftover change, we'll get some coffee and a slice of pizza.

Liberapay  
Bitcoin (BTC) 1Hfuq77gKKFJeNcq4EP4dQK3yDRWrFEwJR
Bitcoin Cash (BCH) qzmdm6e6q5wf2p6sxz2mst7cenz60newwc5m4e9js8
Ether (ETH) 0x5f02869278C24A6579d3820f52AD15936D6F9d69
Stellar (XLM) GDWT2QU2CI3GZ5XH5DTSU3IUAHZMTB6VQKKRHBYWS5YCCQOAG6OKG2OB
More content?